
-record(state, {
                % Number of next question
                next     :: integer(),
                % PID of currently running transformation or qinfos
                current :: any(),
                % the id of the current transformation
                query_id :: any()
               }).

-record(robot, {
                model :: any(),
                proc :: integer()
                }).
